please update pci.ids

Bug #1784549 reported by Christian Ehrhardt  on 2018-07-31
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pciutils (Ubuntu)
Medium
Unassigned

Bug Description

Like some former bugs on this package:
#96114 please update the pciutils database
#1207387 Please update pciutils for 12.04.3

I think it is time to update the packages database.

PCIutils is udpated from the site: http://mj.ucw.cz/pciutils.shtml
PCI ID Database updates from: http://pci-ids.ucw.cz/

We are already ahead of Debian due to

pciutils (1:3.5.2-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Downloaded daily snapshot dated 2017-03-16 03:15:01·
    - debian/patches/lspci-Support-GEN4-speed-16GT-s.patch: Cherry-pick from
      upstream to support PCI gen4 cards in lspci.

 -- Steve Langasek <email address hidden> Mon, 24 Apr 2017 11:35:32 -0700

But since then there was no Debian upload, and due to that it likely didn't show up in any MOM output or similar.

I don't think it is worth SRUing things, but e.g. cosmic would have a more than 15 months old DB without an upload - so I thought it is worth to ask.

Note: I came to look at it by a customer asking why is (rather new) device is listed as unknown.

While being "just" some data this could touch plenty of things, so I didn't want to upload things breaking the world and instead report it to then subscribe the former uploaders to consider it.

Related branches

Subscribing Andy and Steve as former uploaders, they should know if there are extra tripwires when touching this.

Changed in pciutils (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

It is clear what to do => Triaged and not very crtiical => medium.
Set the task status accordingly.

tags: added: rls-cc-incoming
Steve Langasek (vorlon) wrote :

no tripwires that I know of

Ok, thanks Steve - just wanted to be sure having never touched it before.
I have prepared the rather trivial change - see MP that is up now and linked here.

I built it in Bileto and this will run autopkgtests over weekend to be sure it looks ok before hitting cosmic-proposed.

FYI: Pushed an update to Cosmic, migration might be interesting.

=> https://launchpad.net/ubuntu/+source/pciutils/1:3.5.2-1ubuntu2

Pre-Checks showed issues in kernel tests that were clearly not related to the packages changes - we will see how it behaves on the real proposed-migration and then take action.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pciutils - 1:3.5.2-1ubuntu2

---------------
pciutils (1:3.5.2-1ubuntu2) cosmic; urgency=medium

  * Downloaded pci.ids snapshot dated 2018-07-21 03:15:01 to better
    work with new Hardware (LP: #1784549)

 -- Christian Ehrhardt <email address hidden> Fri, 03 Aug 2018 11:54:44 +0200

Changed in pciutils (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers